<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddForeignKeysToIgnoredFeedsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('ignored_feeds', function (Blueprint $table) {
            $table->foreign('feed_id')->references('id')->on('feeds')->onDelete('CASCADE');
            $table->foreign('user_id')->references('id')->on('users')->onDelete('CASCADE');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('ignored_feeds', function (Blueprint $table) {
            $table->dropForeign('ignored_feeds_feed_id_foreign');
            $table->dropForeign('ignored_feeds_user_id_foreign');
        });
    }
}
